POST api/sticker/duplicate
Request Information
URI Parameters
None.
Body Parameters
StickerViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| descriptions | Dictionary of string [key] and string [value] |
None. |
|
| type | StickerTypeViewModel |
None. |
|
| relations | Collection of StickerRelationViewModel |
None. |
|
| details | Collection of StickerDetailViewModel |
None. |
|
| active | boolean |
Required |
|
| code | string |
Required Max length: 50 |
|
| id | globally unique identifier |
None. |
|
| stickerType_ID | globally unique identifier |
Required |
|
| stickerRelation_IDs | Collection of globally unique identifier |
None. |
|
| site_ID | globally unique identifier |
Required |
Request Formats
application/json, text/json
Sample:
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"type": {
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"code": "sample string 1",
"id": "72a6adae-0758-44d2-a4a8-07343be22419",
"technicalDescription": "sample string 3",
"active": true
},
"relations": [
{
"active": true,
"contract_ID": "cacc3c50-aba8-4925-89a0-5b587c9ed458",
"contractItem_ID": "4ca0d572-f360-466d-a59c-35f841523ad0",
"departement_ID": "6308af55-c7a1-4f74-a7aa-024c0771cf8e",
"departmentItem_ID": "d7032b81-b1a5-4ded-b445-b74937eec447",
"iD": "a49983aa-dd4b-48fe-884a-2c7a81519ea0",
"site_ID": "52d74122-4fdd-40fa-b2ca-306385bab962",
"siteCustomer_ID": "8025b770-86b7-4398-9429-536ecd0a33c2",
"sticker_ID": "6e9394c7-0b0e-406a-aa37-9b12894e9426",
"garment_ID": "487267de-dbde-47f3-9ff9-b48329f8c408"
},
{
"active": true,
"contract_ID": "cacc3c50-aba8-4925-89a0-5b587c9ed458",
"contractItem_ID": "4ca0d572-f360-466d-a59c-35f841523ad0",
"departement_ID": "6308af55-c7a1-4f74-a7aa-024c0771cf8e",
"departmentItem_ID": "d7032b81-b1a5-4ded-b445-b74937eec447",
"iD": "a49983aa-dd4b-48fe-884a-2c7a81519ea0",
"site_ID": "52d74122-4fdd-40fa-b2ca-306385bab962",
"siteCustomer_ID": "8025b770-86b7-4398-9429-536ecd0a33c2",
"sticker_ID": "6e9394c7-0b0e-406a-aa37-9b12894e9426",
"garment_ID": "487267de-dbde-47f3-9ff9-b48329f8c408"
}
],
"details": [
{
"stickerField": {
"previewValue": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "f3b7a3b3-93c1-431a-8277-0ebabe85859c",
"isProductionSite": true,
"isStatic": true,
"separator": "sample string 6",
"stickerType_ID": "d5841166-ba2d-43f5-8231-9d0197f328e4",
"technicalDescription": "sample string 8"
},
"active": true,
"backgroundColor": "sample string 2",
"bold": true,
"fontSize": 4,
"foregroundColor": "sample string 5",
"id": "99261602-27fc-4a4c-b38b-d80468c93235",
"italic": true,
"staticValue": "sample string 8",
"sticker_ID": "c1ca04c0-68ad-4d7f-b711-7fb7343e4ac0",
"stickerField_ID": "4f9c8087-0f8a-4218-8d8e-2469aa21f4de",
"stringLength": 1,
"stringStart": 1,
"zoneNumber": 11
},
{
"stickerField": {
"previewValue": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "f3b7a3b3-93c1-431a-8277-0ebabe85859c",
"isProductionSite": true,
"isStatic": true,
"separator": "sample string 6",
"stickerType_ID": "d5841166-ba2d-43f5-8231-9d0197f328e4",
"technicalDescription": "sample string 8"
},
"active": true,
"backgroundColor": "sample string 2",
"bold": true,
"fontSize": 4,
"foregroundColor": "sample string 5",
"id": "99261602-27fc-4a4c-b38b-d80468c93235",
"italic": true,
"staticValue": "sample string 8",
"sticker_ID": "c1ca04c0-68ad-4d7f-b711-7fb7343e4ac0",
"stickerField_ID": "4f9c8087-0f8a-4218-8d8e-2469aa21f4de",
"stringLength": 1,
"stringStart": 1,
"zoneNumber": 11
}
],
"active": true,
"code": "sample string 2",
"id": "5609d17c-3b8a-4fcc-8f5b-3a468b675732",
"stickerType_ID": "297d77f5-c7d0-415f-990a-b27833ad0d34",
"stickerRelation_IDs": [
"3c4f137e-b5f1-4873-a401-d8b1207d5fa2",
"8e085fee-91f4-45d8-bf81-0b40e7bc4439"
],
"site_ID": "4b0ca707-a941-4a77-aaca-8d82eed56643"
}
application/xml
Sample:
Sample not available.
text/xml
Sample:
Sample not available.
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"0604262c-ac37-4200-808e-95b966d967bc"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">0604262c-ac37-4200-808e-95b966d967bc</guid>